<?xml version="1.0" encoding="ISO-8859-1"?>

<node id="TCSDS2_LINK_MASTER_CSR_STATUS">

  <node id="IS_LINK_OPTICAL"         address="0x00000000" mask="0x00000001" permission="r" />
  <node id="IS_LINK_SPEED_10G"       address="0x00000000" mask="0x00000002" permission="r" />
  <node id="IS_LEADER"               address="0x00000000" mask="0x00000004" permission="r" />
  <node id="IS_QUAD_LEADER"          address="0x00000000" mask="0x00000008" permission="r" />
  <node id="IS_MGT_RX_MODE_LPM"      address="0x00000000" mask="0x00000010" permission="r" />

  <node id="MMCM_LOCKED"             address="0x00000001" mask="0x00000001" permission="r" />
  <node id="MGT_POWER_GOOD"          address="0x00000001" mask="0x00000002" permission="r" />
  <node id="MGT_TX_PLL_LOCKED"       address="0x00000001" mask="0x00000010" permission="r" />
  <node id="MGT_RX_PLL_LOCKED"       address="0x00000001" mask="0x00000020" permission="r" />
  <node id="MGT_RESET_TX_DONE"       address="0x00000001" mask="0x00000100" permission="r" />
  <node id="MGT_RESET_RX_DONE"       address="0x00000001" mask="0x00000200" permission="r" />
  <node id="MGT_TX_READY"            address="0x00000001" mask="0x00001000" permission="r" />
  <node id="MGT_RX_READY"            address="0x00000001" mask="0x00002000" permission="r" />
  <node id="CDC40_TX_READY"          address="0x00000001" mask="0x00004000" permission="r" />
  <node id="CDC40_RX_READY"          address="0x00000001" mask="0x00008000" permission="r" />
  <node id="RX_DATA_NOT_IDLE"        address="0x00000001" mask="0x00010000" permission="r" />
  <node id="RX_FRAME_LOCKED"         address="0x00000001" mask="0x00020000" permission="r" />
  <node id="TX_USER_DATA_READY"      address="0x00000001" mask="0x00040000" permission="r" />
  <node id="RX_USER_DATA_READY"      address="0x00000001" mask="0x00080000" permission="r" />
  <node id="TCLINK_READY"            address="0x00000001" mask="0x00100000" permission="r" />

  <node id="INITIALIZER_FSM_STATE"   address="0x00000002" mask="0x7fffffff" permission="r" />
  <node id="INITIALIZER_FSM_RUNNING" address="0x00000002" mask="0x80000000" permission="r" />

  <node id="RX_FRAME_UNLOCK_COUNTER" address="0x00000003" mask="0xffffffff" permission="r" />

  <!-- Clock-domain crossing phase monitoring. -->
  <node id="PHASE_CDC40_TX_MEASURED" address="0x00000004" mask="0x000003ff" permission="r" />
  <node id="PHASE_CDC40_RX_MEASURED" address="0x00000004" mask="0x00070000" permission="r" />

  <!-- MGT TX Phase-Interpolator monitoring. -->
  <node id="PHASE_PI_TX_MEASURED" address="0x00000004" mask="0x7f000000" permission="r" />

  <!-- Stuff related to link monitoring. -->
  <node id="FEC_CORRECTION_APPLIED"
        description="Latched flag indicating that the link is not error-free."
        address="0x00000005"
        mask="0x00000001"
        permission="r" />

  <!-- TCLink status monitoring. -->
  <node id="TCLINK_LOOP_CLOSED"
        description="High if the TCLink control loop is closed (i.e. configured as closed and not internally opened due to issues)."
        address="0x00000006"
        mask="0x00000001"
        permission="r" />
  <node id="TCLINK_OPERATION_ERROR"
        description="High if the TCLink encountered a DCO error during operation."
        address="0x00000006"
        mask="0x00000002"
        permission="r" />
  <node id="TCLINK_PHASE_MEASURED"
        description="Phase value measured by the TCLink. Signed two's complement number. Conversion to ps: DDMTD_UNIT / navg * value."
        address="0x00000007"
        mask="0xffffffff"
        permission="r" />
  <node id="TCLINK_PHASE_ERROR"
        description="Phase offset measured by the TCLink. Use this value to configure control.tclink_offset_error."
        address="0x00000008">
    <node id="LO" address="0x00000000" mask="0xffffffff" permission="r" />
    <node id="HI" address="0x00000001" mask="0x0000ffff" permission="r" />
  </node>

</node>
